Bug 1287213 - Housekeeping: Remove obsolete --disable-k4start configure option
Housekeeping: Remove obsolete --disable-k4start configure option
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kstart (Show other bugs)
rawhide
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 13:54 EST by Shawn K. O'Shea
Modified: 2016-01-07 22:28 EST (History)
2 users (show)

See Also:
Fixed In Version: kstart-4.1-8.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-07 12:53:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn K. O'Shea 2015-12-01 13:54:07 EST
Description of problem:
Current builds of kstart in Fedora (and Fedora EPEL) provide the  --disable-k4start configure option when building the package. As of version 4.0 of the software, Kerberos 4 support (k4start support) was removed from the application (see NEWS [1])

This causes a non-fatal error from configure during build.
configure: WARNING: unrecognized options: --disable-k4start
(see e.g. https://kojipkgs.fedoraproject.org//packages/kstart/4.1/7.fc23/data/logs/x86_64/build.log ).

This bug simply requests the obsolete option be removed from the spec for the build.

Version-Release number of selected component (if applicable):
All version currently available in Fedora and Fedora EPEL.

How reproducible:
Always during build

Steps to Reproduce:
1. See warning being produced in current koji builds, e.g https://kojipkgs.fedoraproject.org//packages/kstart/4.1/7.fc23/data/logs/x86_64/build.log 
2.
3.

Actual results:
Receive non-fatal warning during build:
configure: WARNING: unrecognized options: --disable-k4start

Expected results:
No warning during configure

Additional info:
[1] http://git.eyrie.org/?p=kerberos/kstart.git;a=blob;f=NEWS;h=e6222c45f016c37dc934ebead2a58c105c50aecc;hb=3d501e058b5e245d8394fa3dff437e0ed7bd34e7
Comment 1 Ken Dreyer 2015-12-01 14:22:24 EST
Thanks for filing this bz. I see that we did not have upstream release monitoring enabled for kstart or remctl; I've enabled both in Anitya.
Comment 2 Ken Dreyer 2015-12-01 14:36:38 EST
I guess this bug is not strictly related to upstream release monitoring, whoops :)

In any regard, you're right that we can remove this option, and I've done so in Rawhide, here: http://pkgs.fedoraproject.org/cgit/kstart.git/commit/?id=f5d6a14fb1539ed712a416413a2f79a6e30386c7
Comment 3 Fedora Update System 2015-12-01 14:46:13 EST
kstart-4.1-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0bc1161afd
Comment 4 Fedora Update System 2015-12-01 14:46:37 EST
kstart-4.1-8.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c2ab57aefd
Comment 5 Fedora Update System 2015-12-01 14:46:59 EST
kstart-4.1-8.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8f7b599498
Comment 6 Fedora Update System 2015-12-01 14:48:20 EST
kstart-4.1-8.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a80c662c18
Comment 7 Fedora Update System 2015-12-01 14:48:41 EST
kstart-4.1-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8799e3640
Comment 8 Fedora Update System 2015-12-02 21:16:06 EST
kstart-4.1-8.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update kstart'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8f7b599498
Comment 9 Fedora Update System 2015-12-02 23:20:43 EST
kstart-4.1-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update kstart'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0bc1161afd
Comment 10 Fedora Update System 2015-12-03 11:02:35 EST
kstart-4.1-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kstart'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a80c662c18
Comment 11 Fedora Update System 2015-12-03 12:19:29 EST
kstart-4.1-8.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update kstart'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c2ab57aefd
Comment 12 Fedora Update System 2015-12-03 20:37:58 EST
kstart-4.1-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kstart'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8799e3640
Comment 13 Fedora Update System 2016-01-07 12:53:19 EST
kstart-4.1-8.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-01-07 14:28:20 EST
kstart-4.1-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-01-07 14:56:59 EST
kstart-4.1-8.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-01-07 14:57:03 EST
kstart-4.1-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-01-07 22:28:47 EST
kstart-4.1-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.